import json

f = open('/home/joel_jang/dongkeun/unlearning-for-lms/configs/main/opt/template.json')
data = json.load(f)
print(data)

for j in ['125m', '1.3b', '2.7b', '6.7b']:
    for i in range(5):
        path = f'data/main/lm_extraction_32_{i}.csv'
        data['train_sets'][0] = path
        data['valid_sets'][0] = path
        data['train_batch_size'] = 32
        data['model'] = f'facebook/opt-{j}'
        data['wandb_run_name'] = f'opt-{j}-32_{i}'
        data['ngpu'] = 1
        with open(f'/home/joel_jang/dongkeun/unlearning-for-lms/configs/main/opt/opt-{j}-32_{i}.json', 'w') as fp:
            json.dump(data, fp, indent=4)